#ifndef KINEMATICS_HPP
#define KINEMATICS_HPP
#include "rm_service.h"

class ArmKinematics
{
public:
    ArmKinematics(RM_Service *rmService);
    ArmKinematics();
    ~ArmKinematics();

    int ForwardKinematics(float *jointAngles, float *endEffectorPose);
    int InverseKinematics(const float *endEffectorPose, float *jointAngles);

private:
    RM_Service *rmService_;
};

#endif // KINEMATICS_HPP